﻿var curDoc = app.activeDocument;
var desktopFolder = Folder.desktop;
var curName = GetNameWithoutExtension(curDoc);
var exportPath = desktopFolder + "/" + curName+ ".article";


var output = app.exportDpsArticle(
    File(exportPath),      // output destination i.e. c:\articles\foo.article
    curDoc,
    [
        [ "assetformat", "pdf" ],     // pdf, png, jpg or auto (auto chooses between png and jpg)
        [ "width", 1024 ],     // the width dimension of the target
        [ "height", 768 ],     // the height dimension of the target
        [ "layout", "iPad H"],     // layout name (if not supplied, all pages are exported)
        [ "showprogressbar", true ]     // give the user some feedback
    ]
);


function GetNameWithoutExtension(myFile) {
	var myFileName = myFile.name;
	var myIndex = myFileName.lastIndexOf( "." );
	if ( myIndex > -1 ) {
		myFileName = myFileName.substr(0, myIndex);
	}
	return myFileName;
}
